QSplashScreen(3qt)

NAME
QSplashScreen - Splash screen that can be shown during application startup

SYNOPSIS
#include <ntqsplashscreen.h>

Inherits TQWidget.

  Public Members
QSplashScreen ( const QPixmap & pixmap = QPixmap ( ), WFlags f = 0 )
virtual ~QSplashScreen ()
void setPixmap ( const QPixmap & pixmap )
QPixmap * pixmap () const
void finish ( TQWidget * mainWin )
void repaint ()

  Public Slots
void message ( const TQString & message, int alignment = AlignLeft, const TQColor & color = black )
void clear ()

  Signals
void messageChanged ( const TQString & message )

  Protected Members
virtual void drawContents ( QPainter * painter )

DESCRIPTION
The QSplashScreen widget provides a splash screen that can be shown during application startup.

A splash screen is a widget that is usually displayed when an application is being started. Splash screens are often used for applications that have long start up times (e.g. database or networking applications that take time to establish connections) to provide the user with feedback that the application is loading.

The splash screen appears centered on the screen. It may be useful to add the WStyle_StaysOnTop if you desire to keep above all the windows in the GUI.

Some X11 window managers do not support the "stays on top" flag. A solution is to set up a timer that periodically calls raise() on the splash screen to simulate the "stays on top" effect.

The most common usage is to show a splash screen before the main widget is displayed on the screen. This is illustrated in the following code snippet.

   int main( int argc, char **argv )
   {
       QApplication app( argc, argv );
       QPixmap pixmap( "splash.png" );
       QSplashScreen *splash = new QSplashScreen( pixmap );
       splash->show();
       QMainWindow *mainWin = new QMainWindow;
       ...
       app.setMainWidget( mainWin );
       mainWin->show();
       splash->finish( mainWin );
       delete splash;
       return app.exec();
   }

It is sometimes useful to update the splash screen with messages, for example, announcing connections established or modules loaded as the application starts up. QSplashScreen supports this with the message() function. If you wish to do your own drawing you can get a pointer to the pixmap used in the splash screen with pixmap(). Alternatively, you can subclass QSplashScreen and reimplement drawContents().

The user can hide the splash screen by clicking on it with the mouse. Since the splash screen is typically displayed before the event loop has started running, it is necessary to periodically call QApplication::processEvents() to receive the mouse clicks.

   QPixmap pixmap( "splash.png" );
   QSplashScreen *splash = new QSplashScreen( pixmap );
   splash->show();
   ... // Loading some items
   splash->message( "Loaded modules" );
   tqApp->processEvents();
   ... // Establishing connections
   splash->message( "Established connections" );
   tqApp->processEvents();

See also Miscellaneous Classes.

MEMBER FUNCTION DOCUMENTATION

QSplashScreen::QSplashScreen ( const QPixmap & pixmap = QPixmap ( ), WFlags f = 0 )
Construct a splash screen that will display the pixmap.

There should be no need to set the widget flags, f, except perhaps WDestructiveClose or WStyle_StaysOnTop.

QSplashScreen::~QSplashScreen () [virtual]
Destructor.

void QSplashScreen::clear () [slot]
Removes the message being displayed on the splash screen

See also message().

void QSplashScreen::drawContents ( QPainter * painter ) [virtual protected]
Draw the contents of the splash screen using painter painter. The default implementation draws the message passed by message(). Reimplement this function if you want to do your own drawing on the splash screen.

void QSplashScreen::finish ( TQWidget * mainWin )
Makes the splash screen wait until the widget mainWin is displayed before calling close() on itself.

void QSplashScreen::message ( const TQString & message, int alignment = AlignLeft, const TQColor & color = black ) [slot]
Draws the message text onto the splash screen with color color and aligns the text according to the flags in alignment.

See also TQt::AlignmentFlags and clear().

void QSplashScreen::messageChanged ( const TQString & message ) [signal]
This signal is emitted when the message on the splash screen changes. message is the new message and is a null-string when the message has been removed.

See also message() and clear().

QPixmap * QSplashScreen::pixmap () const
Returns the pixmap that is used in the splash screen. The image does not have any of the text drawn by message() calls.

void QSplashScreen::repaint ()
This overrides TQWidget::repaint(). It differs from the standard repaint function in that it also calls QApplication::flush() to ensure the updates are displayed, even when there is no event loop present.

void QSplashScreen::setPixmap ( const QPixmap & pixmap )
Sets the pixmap that will be used as the splash screen's image to pixmap.

SEE ALSO
http://doc.trolltech.com/ntqsplashscreen.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqsplashscreen.3qt) and the Qt version (3.3.8).